<?php

declare(strict_types=1);

namespace App\Scolarite\Domain\Exception;

use DomainException;

use function sprintf;

final class CoefficientInvalideException extends DomainException
{
    public static function avecValeur(float $value): self
    {
        return new self(sprintf(
            'Le coefficient doit être compris entre 0.1 et 10, %s donné.',
            $value,
        ));
    }
}
